aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools/skqp/clean_app.sh
diff options
context:
space:
mode:
authorGravatar Stephan Altmueller <stephana@google.com>2018-03-07 14:44:44 -0500
committerGravatar Skia Commit-Bot <skia-commit-bot@chromium.org>2018-03-07 20:44:50 +0000
commit88df8d2e5a87df5605b1d5530408cc6f534d8feb (patch)
tree669d656f7b14912c621cfb6b5813e4c7092ffbb1 /tools/skqp/clean_app.sh
parent5183e649efdcf4bf46a2883fdedec7a3b7e4fb0f (diff)
Test SKQP on Firebase Testlab and Upload
- adds building the testlab driver (run_testlab) as a separate step - adds gcloud isolate necessary to run testlab - adds Testlab support and uploading a verified AKP to GCS (with meta data attached). Bug: skia: Change-Id: I1bf265f46c99360eb3a9eb684886f93de48085fe Reviewed-on: https://skia-review.googlesource.com/111603 Reviewed-by: Eric Boren <borenet@google.com> Reviewed-by: Ben Wagner <benjaminwagner@google.com> Commit-Queue: Stephan Altmueller <stephana@google.com>
Diffstat (limited to 'tools/skqp/clean_app.sh')
-rwxr-xr-xtools/skqp/clean_app.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/tools/skqp/clean_app.sh b/tools/skqp/clean_app.sh
new file mode 100755
index 0000000000..d6b5284d88
--- /dev/null
+++ b/tools/skqp/clean_app.sh
@@ -0,0 +1,17 @@
+#! /bin/sh
+
+# Copyright 2018 Google Inc.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+set -e
+
+# Change to the root and remove previously added build assets from the source
+# tree of the SKQP app.
+cd "$(dirname "$0")/../.."
+cd platform_tools/android/apps
+git clean -fxd skqp/build \
+ skqp/src/main/assets/gmkb \
+ skqp/src/main/assets/resources \
+ skqp/src/main/libs \
+ .gradle build viewer/build